Bug 893784 - network= line missing from anaconda-ks.cfg for network boot options configuration
network= line missing from anaconda-ks.cfg for network boot options configura...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 17:39 EST by Mark Hamzy
Modified: 2013-04-30 00:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-19.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 00:37:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (11.76 KB, text/plain)
2013-01-09 17:43 EST, Mark Hamzy
no flags Details
storage.log (155.99 KB, text/plain)
2013-01-09 17:44 EST, Mark Hamzy
no flags Details
program.log (61.00 KB, text/plain)
2013-01-09 17:45 EST, Mark Hamzy
no flags Details
ifcfg.log (975 bytes, text/plain)
2013-01-09 17:45 EST, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-01-09 17:39:27 EST
Description of problem:
I install the machine with the following specified on the boot command line:

linux inst.vnc inst.sshd ip=9.5.114.36::9.5.114.1:255.255.255.0:sharpie.chukar.rch.stglabs.ibm.com:eth0:none ip=9.5.114.41::9.5.114.1:255.255.255.0::eth1:none nameserver=9.10.244.100 bootdev=eth0

After installation, the following anaconda-ks.cfg is generated:

8<--------8<--------
#version=DEVEL
# System authorization information
auth --enableshadow --passalgo=sha512
# Use CDROM installation media
cdrom
# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=sda
# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
network  --hostname=nibbler.rch.stglabs.ibm.com
# Root password
rootpw --iscrypted $6$Ag6yC70vMq/idj1D$1JP3acXom0o6jRQzwf0w/6LN0S/ZwszjDYT/sHRILl6N9f.L1V1zxDvo5t/xU4O/V1H9P3xzC3G7TOUHqQkjC.
# System services
services --enabled="chronyd"
# System timezone
timezone America/Chicago --isUtc
# System bootloader configuration
bootloader --location=mbr --boot-drive=sda
autopart --type=lvm
# Partition clearing information
clearpart --none --initlabel --drives=sda

%packages
@base-x
@core
@dial-up
@firefox
@fonts
@gnome-desktop
@hardware-support
@input-methods
@multimedia
@printing
@standard
chrony

%end
8<--------8<--------

That file is missing two very important network lines:

network  --bootproto=static --device=eth0 --gateway=9.5.114.1 --ip=9.5.114.36 --nameserver=9.10.244.100 --netmask=255.255.255.0 --noipv6 --activate
network  --bootproto=static --device=eth1 --gateway=9.5.114.1 --ip=9.5.114.41 --nameserver=9.10.244.100 --netmask=255.255.255.0 --noipv6 --activate

Version-Release number of selected component (if applicable):
18.37.11

How reproducible:
Always

Steps to Reproduce:
1. Install
2. Edit anaconda-ks.cfg
Comment 1 Mark Hamzy 2013-01-09 17:43:53 EST
Created attachment 675896 [details]
anaconda.log
Comment 2 Mark Hamzy 2013-01-09 17:44:49 EST
Created attachment 675897 [details]
storage.log
Comment 3 Mark Hamzy 2013-01-09 17:45:12 EST
Created attachment 675898 [details]
program.log
Comment 4 Mark Hamzy 2013-01-09 17:45:32 EST
Created attachment 675899 [details]
ifcfg.log
Comment 5 Fedora Update System 2013-04-22 21:38:10 EDT
anaconda-19.21-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.21-1.fc19
Comment 6 Fedora Update System 2013-04-22 22:59:55 EDT
Package anaconda-19.21-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.21-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6338/anaconda-19.21-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-04-24 12:37:06 EDT
Package anaconda-19.21-1.fc19, python-meh-0.23-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.21-1.fc19 python-meh-0.23-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6338/python-meh-0.23-1.fc19,anaconda-19.21-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-04-30 00:37:25 EDT
anaconda-19.21-1.fc19, python-meh-0.23-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.